ClickCounter = (function(global) {
    var clicksPerBtn = {};

    function ClickCounter() {}

    var add = function (btnName) {
        if (!clicksPerBtn.hasOwnProperty(btnName)) {
            clicksPerBtn[btnName] = 0;
        }
        clicksPerBtn[btnName] += 1;

        dispatchClickAddedEvent(btnName);
    };

    var dispatchClickAddedEvent = function(btnName) {
        var detail = {
            btnName: btnName,
        };
        window.dispatchEvent(new CustomEvent('clickRealized', { detail: detail }));
    };

    ClickCounter.prototype.add = add;

    return ClickCounter;
})(window);