InteractionRepository = (function(global) {

    const API_URL = 'http://api.interactions.com';

    function InteractionRepository() {}

    var add = function(interaction) {
        return global.fetch(API_URL, {
            method: 'post',
            body: JSON.stringify(interaction)
        }).then(function(response) {
            if (response.ok) {
                return response.json();
            }
            throw Error("Status: " + response.status);
        }).catch(function(error) {
            throw Error("Fetch error. " + error.message);
        });
    };

    InteractionRepository.prototype.add = add;

    return InteractionRepository;
})(window);